Skip to main content
Retrieve a paginated list of rooms in your organization.

Endpoint

GET /v1/accounts/:accountId/rooms

Authentication

Bearer token required.

Query Parameters

limit
number
default:"50"
Number of rooms to return. Maximum 100.
offset
number
default:"0"
Number of rooms to skip for pagination.
Case-insensitive partial match on room name.
from
string
ISO date string. Only return rooms created at or after this date.
to
string
ISO date string. Only return rooms created at or before this date.

Response

rooms
CollabKitRoom[]
Array of room objects.
total
number
Total number of rooms matching the query (for pagination).
limit
number
The limit used in this request.
offset
number
The offset used in this request.

Example

# List first 10 rooms
curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/rooms?limit=10" \
  -H "Authorization: Bearer ${TOKEN}"

# Search by name
curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/rooms?search=whiteboard" \
  -H "Authorization: Bearer ${TOKEN}"

# Filter by date range
curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/rooms?from=2026-01-01&to=2026-06-01" \
  -H "Authorization: Bearer ${TOKEN}"
Response
{
  "type": "response",
  "success": true,
  "description": "Rooms retrieved",
  "data": {
    "rooms": [
      {
        "id": "c3003c93-60cf-4184-...",
        "account_id": "a1b2c3d4-...",
        "name": "whiteboard/room-one",
        "custom_id": "my-room-1",
        "created_at": "2026-05-29T10:00:00.000Z",
        "state": "active",
        "duration_seconds": 3600,
        "active_participants": 2,
        "total_users_created": 5
      }
    ],
    "total": 1,
    "limit": 10,
    "offset": 0
  },
  "error": null
}